Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/admin/attributeedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) | $article = new eZArticle( $ArticleID )
| $category = $article->categoryDefinition( )
| $CategoryID = $category->id()
| $thisType = new eZArticleType( $TypeID )
if(isset( $OK)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $t
| $ActionValue = "insert"
| $types =& $thisType->getAll()
| $typeCount = count( $types )
if( $thisType->id() > 0) | else

## Variable Documentation

## ◆ $ActionValue

$ActionValue = "insert"

Definition at line 79 of file ezarticle/admin/attributeedit.php.

## ◆ $article

if (isset($Cancel)) $article = new eZArticle( $ArticleID )

Definition at line 42 of file ezarticle/admin/attributeedit.php.

## ◆ $category

$category = $article->categoryDefinition( )

Definition at line 43 of file ezarticle/admin/attributeedit.php.

## ◆ $CategoryID

$CategoryID = $category->id()

Definition at line 44 of file ezarticle/admin/attributeedit.php.

## ◆ $ini

if (isset($OK)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 61 of file ezarticle/admin/attributeedit.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 63 of file ezarticle/admin/attributeedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "attribute.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $OK)) $ini
Definition: ezarticle/admin/attributeedit.php:61
$Language
$Language
Definition: ezarticle/admin/attributeedit.php:63

Definition at line 65 of file ezarticle/admin/attributeedit.php.

## ◆ $thisType

$thisType = new eZArticleType( $TypeID )

Definition at line 45 of file ezarticle/admin/attributeedit.php.

## ◆ $typeCount

$typeCount = count( $types )

Definition at line 83 of file ezarticle/admin/attributeedit.php.

## ◆ $types

$types =& $thisType->getAll()

Definition at line 81 of file ezarticle/admin/attributeedit.php.

## ◆ else

if ($thisType->id() > 0) else

Initial value:
{
$t->set_var( "attribute_list", "" )
$t
$t
Definition: ezarticle/admin/attributeedit.php:65

Definition at line 113 of file ezarticle/admin/attributeedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.